Bug 1111180 (CVE-2014-4171) - CVE-2014-4171 Kernel: mm/shmem: denial of service
Summary: CVE-2014-4171 Kernel: mm/shmem: denial of service
Status: CLOSED ERRATA
Alias: CVE-2014-4171
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140617,repor...
Keywords: Security
Depends On: 1118244 1118245 1118246 1118247
Blocks: 1111112
TreeView+ depends on / blocked
 
Reported: 2014-06-19 12:07 UTC by Prasad J Pandit
Modified: 2018-12-06 16:56 UTC (History)
30 users (show)

(edit)
A race condition flaw was found in the way the Linux kernel's mmap(2), madvise(2), and fallocate(2) system calls interacted with each other while operating on virtual memory file system files. A local user could use this flaw to cause a denial of service.
Clone Of:
(edit)
Last Closed: 2015-01-28 20:12:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2015:0102 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-29 00:02:51 UTC

Description Prasad J Pandit 2014-06-19 12:07:33 UTC
Linux kernel built with the shared memory support is vulnerable to a denial of service flaw caused by a race condition in mmap access to a hole, while it is punched from shmem and madvise(2) & fallocate(2) calls. In that mmap access could prevent the other calls from completing.

A user/process could use this flaw to cause a DoS.

Upstream fixes:
-------------
  -> https://git.kernel.org/linus/f00cdc6df7d7cfcabb5b740911e6788cb0802bdb
  -> https://git.kernel.org/linus/8e205f779d1443a94b5ae81aa359cb535dd3021e
  -> https://git.kernel.org/linus/b1a366500bd537b50c3aad26dc7df083ec03a448

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/18/11

Comment 1 Prasad J Pandit 2014-07-10 09:41:43 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2 may address this issue.

Comment 4 Prasad J Pandit 2014-07-10 09:44:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1118247]

Comment 9 Fedora Update System 2014-08-01 06:02:41 UTC
kernel-3.15.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-08-08 08:41:48 UTC
kernel-3.14.15-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2014-09-29 19:41:34 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 13 Martin Prpič 2014-09-30 10:48:03 UTC
IssueDescription:

A race condition flaw was found in the way the Linux kernel's mmap(2), madvise(2), and fallocate(2) system calls interacted with each other while operating on virtual memory file system files. A local user could use this flaw to cause a denial of service.

Comment 14 errata-xmlrpc 2015-01-28 19:03:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0102 https://rhn.redhat.com/errata/RHSA-2015-0102.html


Note You need to log in before you can comment on or make changes to this bug.